# FdoXmlFeatureHandler Class Reference

`#include <FeatureHandler.h>`

Inheritance diagram for FdoXmlFeatureHandler:

[legend]

List of all members.

## Detailed Description

FdoXmlFeatureHandler defines the callback interface for reading features from XML. It is not an interface in the strict sense, since each function has a default implementation that does nothing. Implementors can override these callbacks to customize the handling of feature fragments parsed by FdoXmlFeaturePropertyReader. Note that the default FeatureProperty implementations log errors in certain circumstances. Therefore, these functions must be overridden to avoid these errors and indicate that these types of properties are being handled by the caller.

Definition at line 39 of file FeatureHandler.h.

## Public Member Functions
virtual FDO_API FdoBoolean | FeatureBinaryData (FdoXmlFeatureContext *featureContext, FdoByte *bytes, FdoSize count)
| Default Feature callback that is called when the FdoXmlFeaturePropertyReader reads a chunk of data for a Raster or BLOB property. Does nothing by default. This function may be called multiple times for the same property, if the the property value is large. Applications must not make any assumptions about the chunk size or number of chunks for each property.
virtual FDO_API FdoBoolean | FeatureCharacters (FdoXmlFeatureContext *featureContext, FdoString *chars)
| Default Feature Handle callback that is called when the FdoXmlFeaturePropertyReader reads a chunk of data for a CLOB property. Does nothing by default. This function may be called multiple times for the same property, if the the property value is large. Applications must not make any assumptions about the chunk size or number of chunks for each property.
virtual FDO_API FdoBoolean | FeatureCollectionEnd (FdoXmlFeatureContext *featureContext)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the end of a feature collection. Does nothing.
virtual FDO_API FdoXmlFeatureHandler * | FeatureCollectionStart (FdoXmlFeatureContext *featureContext, FdoClassDefinition *classDefinition)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the start of a feature collection. Does nothing.
virtual FDO_API void | FeatureDocumentEnd (FdoXmlFeatureContext *featureContext)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader finishes reading an XML document. Does nothing.
virtual FDO_API FdoXmlFeatureHandler * | FeatureDocumentStart (FdoXmlFeatureContext *featureContext)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader starts reading an XML document. Does nothing.
virtual FDO_API FdoBoolean | FeatureEnd (FdoXmlFeatureContext *featureContext)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the end of a feature. Does nothing.
virtual FDO_API FdoBoolean | FeatureEndAssociationProperty (FdoXmlFeatureContext *featureContext)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the end of an association property. Does nothing.
virtual FDO_API FdoBoolean | FeatureEndLobProperty (FdoXmlFeatureContext *featureContext)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the end of a lob property. Does nothing.
virtual FDO_API FdoBoolean | FeatureEndObjectProperty (FdoXmlFeatureContext *featureContext)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the end of an object property. Does nothing.
virtual FDO_API FdoBoolean | FeatureEndRasterProperty (FdoXmlFeatureContext *featureContext)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the end of a raster property. Does nothing.
virtual FDO_API FdoBoolean | FeatureGeometricProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoByte *geometryByteArray, FdoInt32 byteCount)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters a geometric property. Logs an error when the current ErrorLevel is High or Normal.
virtual FDO_API FdoBoolean | FeatureProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoString *stringPropertyValue)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters a property with string value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
virtual FDO_API FdoBoolean | FeatureProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoFloat floatPropertyValue)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters a property with single precision value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
virtual FDO_API FdoBoolean | FeatureProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoInt64 int64PropertyValue)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters a property with int64 value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
virtual FDO_API FdoBoolean | FeatureProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoInt32 int32PropertyValue)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters a property with int32 value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
virtual FDO_API FdoBoolean | FeatureProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoInt16 int16PropertyValue)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters a property with int16 value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
virtual FDO_API FdoBoolean | FeatureProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoDouble doublePropertyValue)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters a property with double value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
virtual FDO_API FdoBoolean | FeatureProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoDateTime dateTimePropertyValue)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters a property with DataTime value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
virtual FDO_API FdoBoolean | FeatureProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoByte bytePropertyValue)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters a property with single byte value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
virtual FDO_API FdoBoolean | FeatureProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoBoolean boolPropertyValue)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters a property with boolean value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
virtual FDO_API FdoXmlFeatureHandler * | FeatureStart (FdoXmlFeatureContext *featureContext, FdoClassDefinition *classDefinition)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the start of a feature. Does nothing.
virtual FDO_API FdoXmlFeatureHandler * | FeatureStartAssociationProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoClassDefinition *classDefinition)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the start of an association property. Does nothing by default. A number of other events are fired between FeatureStartAssociationProperty and FeatureEndAssociationProperty, to identify the associated feature referenced by the current association property:.
virtual FDO_API FdoBoolean | FeatureStartLobProperty (FdoXmlFeatureContext *featureContext, FdoString *name)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the start of a lob property. Logs an error when the current ErrorLevel is High or Normal. If this is a BLOB property then its value is sent through the FeatureBinaryData() callback. If this is a CLOB property then its value is sent through the FeatureCharacters() callback.
virtual FDO_API FdoXmlFeatureHandler * | FeatureStartObjectProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoClassDefinition *classDefinition)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the start of an object property. Does nothing.
virtual FDO_API FdoBoolean | FeatureStartRasterProperty (FdoXmlFeatureContext *featureContext, FdoString *name, FdoIRaster *rasterPropertyValue)
| Default feature handler callback that is called when the FdoXmlFeaturePropertyReader encounters the start of a raster property. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable. The raster image is sent by subsequent calls to FeatureBinaryData().

The documentation for this class was generated from the following file:

- FeatureHandler.h